var qtdeMostrada = -qtdeCarregar;

function carregarDadosUltimaIntegracao() {
	$(document).off("scrollstop");	
	qtdeMostrada += qtdeCarregar;
	
	if (document.getElementById('tabelaultimaintegracao').childNodes[3].innerHTML.indexOf('final-tabela') > 0) {
		return;
	}

	$('#divtabelaultimaintegracao').css('display', 'none'); 
	$.ajaxSetup({
		beforeSend:	loads,
		complete: removes
	});
	$.post('ultimaintegracao/relultimaintegracao.php',
		{
			inicio: qtdeMostrada,
			qtde: qtdeCarregar
		},
		function(data){
			if (data.length > 5) { //gambito pq retora vazio de tamanho 5 (??????)
				document.getElementById('tabelaultimaintegracao').childNodes[3].innerHTML += data;
				$("#tabelaultimaintegracao").table("refresh");
			} else if (qtdeMostrada == 0) {
				alert("Período sem registros");
				$("#voltarrelvendas").click();
			}
		}
	);
	$('#divtabelaultimaintegracao').css('display', 'block'); 
	
	$(document).on('scrollstop', scrollstopUltimaIntegracao);
}

function scrollstopUltimaIntegracao() {
	
	checkScroll(carregarDadosUltimaIntegracao, "relultimaintegracao"); //checkScroll em dadosJS.js
}

$.mobile.document
	.on('pagebeforecreate', '#ultimaintegracao', function() {
		carregarDadosUltimaIntegracao();
	})    
	
	.on('pageshow', '#relultimaintegracao', function() {
		console.log('asdasdadasd')
		$(document).on('scrollstop', scrollstopUltimaIntegracao);		
	})
	